Subject: Re: I still use git whatchanged

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Oct 2025 18:06:40 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Mon, Oct 13, 2025, at 23:59, Samer Abdallah wrote:
>> I still use git whatchanged.
>
> You can replace it with `git log` in this way:
>
> • Given: `git whatchanged <opts>`
> • Replace with: `git log <opts> --no-merges --raw`
>
> Additionally for the sake of readability, you might have more
> use for `--stat` or `--name-only` rather than `--raw` if you are only
> reading the output (not feeding the output to another program).

Thanks for fielding these repeated questions.

Let's do a maintenance release Git 2.51.1 very soon with your 
kh/you-still-use-whatchanged-fix topic, together with other minor
documentation changes and probably a hdnful of ci related fixes.

We haven't had non-security maintenance releases for quite a while,
so I may need to remember and practice the procedure to cut one ;-)